using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "NewLevelDifficulty", menuName = "Level/Level Difficulty")]
public class LevelDifficultyAsset : ScriptableObject
{
	[SerializeField]
	private int difficulty = 0;

	[SerializeField]
	private LevelDifficultySettingsAsset[] levelDifficultySettings;

	public LevelDifficultySettingsAsset GetDifficultySettings()
	{
		return levelDifficultySettings[Mathf.Min(difficulty, levelDifficultySettings.Length - 1)];
	}

	public void ResetDifficulty()
	{
		difficulty = 0;
	}

	public void IncreaseDifficulty()
	{
		difficulty++;
	}
}
